summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Cammarata <jimi@sngx.net>2016-03-11 11:25:28 -0500
committerJames Cammarata <jimi@sngx.net>2016-03-11 11:25:28 -0500
commit286d91d722d776f1df53cd3d637afeae861b272a (patch)
tree5bcb5b5fbf6cf74e63b83367af9a1fdf675b47ca
parentab682b2917550ffc0d4f15f49ab54ee21005b014 (diff)
downloadansible-286d91d722d776f1df53cd3d637afeae861b272a.tar.gz
Reorganizing tox stuff and making py3-specific requirements
-rwxr-xr-xtest/utils/run_tests.sh3
-rw-r--r--test/utils/tox/requirements-py3.txt13
-rw-r--r--test/utils/tox/requirements.txt (renamed from test-requirements.txt)0
-rw-r--r--tox.ini8
4 files changed, 22 insertions, 2 deletions
diff --git a/test/utils/run_tests.sh b/test/utils/run_tests.sh
index 2186c671b5..d6476f862b 100755
--- a/test/utils/run_tests.sh
+++ b/test/utils/run_tests.sh
@@ -1,4 +1,4 @@
-#!/bin/sh -xe
+#!/bin/sh -x
if [ "${TARGET}" = "sanity" ]; then
./test/code-smell/replace-urlopen.sh .
@@ -8,6 +8,7 @@ if [ "${TARGET}" = "sanity" ]; then
if test x"$TOXENV" != x'py24' ; then tox ; fi
if test x"$TOXENV" = x'py24' ; then python2.4 -V && python2.4 -m compileall -fq -x 'module_utils/(a10|rax|openstack|ec2|gce).py' lib/ansible/module_utils ; fi
else
+ set -e
export C_NAME="testAbull_$$_$(cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 8 | head -n 1)"
docker run -d --volume="${PWD}:/root/ansible" --name "${C_NAME}" ${TARGET_OPTIONS} ansible/ansible:${TARGET} > /tmp/cid_${TARGET}
docker exec -ti $(cat /tmp/cid_${TARGET}) /bin/sh -c "export TEST_FLAGS='${TEST_FLAGS}'; cd /root/ansible; . hacking/env-setup; (cd test/integration; LC_ALL=en_US.utf-8 make)"
diff --git a/test/utils/tox/requirements-py3.txt b/test/utils/tox/requirements-py3.txt
new file mode 100644
index 0000000000..1ff4fb0cb2
--- /dev/null
+++ b/test/utils/tox/requirements-py3.txt
@@ -0,0 +1,13 @@
+#
+# Test requirements
+#
+
+nose
+mock >= 1.0.1, < 1.1
+passlib
+coverage
+coveralls
+unittest2
+redis
+python3-memcached
+python-systemd
diff --git a/test-requirements.txt b/test/utils/tox/requirements.txt
index 34de42bc14..34de42bc14 100644
--- a/test-requirements.txt
+++ b/test/utils/tox/requirements.txt
diff --git a/tox.ini b/tox.ini
index a061218f3c..f36f5841c5 100644
--- a/tox.ini
+++ b/tox.ini
@@ -1,8 +1,14 @@
[tox]
envlist = py26,py27,py34,py35
+[testenv:py34]
+deps = -r{toxinidir}/test/utils/tox/requirements-py3.txt
+
+[testenv:py35]
+deps = -r{toxinidir}/test/utils/tox/requirements-py3.txt
+
[testenv]
-deps = -r{toxinidir}/test-requirements.txt
+deps = -r{toxinidir}/test/utils/tox/requirements.txt
whitelist_externals = make
commands =
python --version